#!/usr/bin/env python

import unittest

class Test(unittest.TestCase):
  def setUp(self):
    self.l = [[-1, 1], [-1, 0], [-1, 1], [0, -1], [0, 0], [0, 1], [1, -1], [1, 0], [1, 1]]


  def testQhull(self):
    import delaunay
    dt = delaunay.Triangulation(self.l)
    answer = [
               [4,1,3],
               [1,5,0],
               [5,1,4],
               [7,3,6],
               [7,4,3],
               [7,5,4],
               [5,7,8],
             ]

    self.assertEqual(dt.indices, answer)

if __name__ == '__main__':
  suite = unittest.TestLoader().loadTestsFromTestCase(Test)
  unittest.TextTestRunner(verbosity=5).run(suite)
